# Hindi translation style guide(हिन्दी अनुवाद शैली मार्गदर्शक)

Use informal Hindi for translation:

* Informal "you" (*तु*) instead of formal form *आप*. Many top software
  companies (e.g. Google) use the informal one, because it's much more common in
  the daily language and avoids making translations look like they were written
  by machines.

* Imperative, active, and continuous verbs, e.g. *manage streams* -
  *चैनल प्रबंधित करें*, not *चैनल प्रबंधन*.

* Warm and friendly phrasing whenever appropriate.

* No slang or regional phrases that could be unclear or too informal.

* Balance common verbs and nouns with specific IT-related translations
  of English terms - this can be tricky, try to check how other
  resources were translated (e.g. GMail, Microsoft websites, Facebook)
  to decide what wouldn't sound awkward / rude in Hindi.

Some terms are very tricky to translate, so be sure to communicate
with other Hindi speakers in the community. It's all about making
Zulip friendly and usable.

## Terms(शर्तें)
* Message - **संदेश**
* Private message (PM) - **निजी संदेश**
* Realm - **क्षेत्र**: the literal Hindi of realm is "राज्य",
  which is not a term that's charged with computer
  terminology. "क्षेत्र" is much clearer.
* Stream - **धारा**: the use of the literal Hindi word for stream
  "प्रवाह" is very confusing and not the correct metaphor for Hindi
  speaking people. The correct term would be "धारा".
* Topic - **विषय**
* Private/invite-only stream - **निजी / केवल-आमंत्रण धारा**
* Public stream - **सार्वजनिक धारा**
* Bot - **बॉट**
* Integration - **एकीकरण**
* Notification - **अधिसूचना**
* Alert word - **सतर्क शब्द**: this is only *alert*. Nonetheless, adding *word* may
  make the term confusing (something like *danger!* could be a "चेतावनी के शब्द" as well).
  Google Alerts uses "सतर्क शब्द" in its Hindi translation.
* View - **राय**
* Filter - **छानना**: as used with narrowing (see below).
* Home - **मुख पृष्ठ**: we never use the term "घर" (literally home) in Hindi.
* Emoji - **इमोजी**

## Phrases (वाक्यांशों)
* Subscribe/Unsubscribe to a stream - **एक धारा में सदस्यता लें/सदस्यता समाप्त करें**
* Narrow to - **अकेले फ़िल्टर करें**: this is *filter only*, because there's no other
  word that's common enough in Hindi for *to narrow*.
* Mute/Unmute - **शांत/अशांत**
* Deactivate/Reactivate - **निष्क्रिय करें / पुन: सक्रिय करें**
* Search - **खोज करें/ढूंढे**
* Pin - **ठीक करना**
* Mention/@mention - **ज़िक्र करना / @ ज़िक्र करना**
* Invalid - **अमान्य**
* Customization - **अनुकूलन**
* I want - **मुझे चाहिए**
* User - **उपयोगकर्ता**
* Person/People - **व्यक्ति/लोग**: "लोग" is the correct plural for
  "व्यक्ति", but when talking of *लोग* referring to it as a crowd, we use
  "भीड़" instead.

## Others(अन्य)
* You - **तु**: also "आप" if it's in plural.
* We - **हम**
* Message table - **संदेश बोर्ड**
* Enter/Intro - **दर्ज / परिचय**
